Skip to navigation

Get Fileset by Workspace and Name

View as Markdown

Get Fileset by Workspace and Name.

Returns the details of a specific fileset identified by its workspace and name.

Path parameters

workspacestringRequired
namestringRequired

Response

Successful Response
idstring
namestring
workspacestring
descriptionstring
purposeenum
Allowed values:
storageobject
metadataobject

Tagged metadata container - the key indicates the type.

Example: metadata = FilesetMetadata( dataset=DatasetMetadataContent( schema={“columns”: [“id”, “name”]}, ) )

custom_fieldsmap from strings to any
projectstring
created_atstring
updated_atstring
created_bystring or nullOptional
Principal id for the fileset creator.
updated_bystring or nullOptional
Principal id for the last fileset update.

Errors

422
Unprocessable Entity Error